> ## Documentation Index
> Fetch the complete documentation index at: https://docs.luminolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit history for the current user



## OpenAPI

````yaml get /v1/billing/credit-history
openapi: 3.0.0
info:
  title: Billing API
  version: 1.0.0
  description: API for managing billing and credits
servers: []
security: []
paths:
  /v1/billing/credit-history:
    get:
      tags:
        - Billing
      summary: Get credit history for the current user
      parameters:
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          required: true
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          required: true
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/ItemsPerPageParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CreditHistoryResponse'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    PageParam:
      in: query
      name: page
      schema:
        type: integer
        default: 1
        minimum: 1
      description: Page number to retrieve
    ItemsPerPageParam:
      in: query
      name: items_per_page
      schema:
        type: integer
        default: 20
        minimum: 1
      description: Number of items to return per page
  schemas:
    CreditHistoryResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the credit record
        created_at:
          type: string
          format: date-time
          description: The timestamp when the credit record was created
        credits:
          type: number
          format: float
          description: The amount of credits added or deducted
        transaction_id:
          type: string
          description: The unique identifier of the transaction
        transaction_type:
          type: string
          enum:
            - NEW_USER_CREDIT
            - FINE_TUNING_JOB
            - STRIPE_CHECKOUT
          description: The type of transaction
    Pagination:
      type: object
      properties:
        total_pages:
          type: integer
        current_page:
          type: integer
        items_per_page:
          type: integer
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````